Same Game Parlays
Quote a Same Game Parlay
Quote a Same Game Parlay. Prices 2 to 10 legs of one pre-match event as a same game parlay at each requested bookmaker.
POST
/
sgp
/
quote
Quote a Same Game Parlay
curl --request POST \
--url 'https://api.odds-api.io/v3/sgp/quote?apiKey=' \
--header 'Content-Type: application/json' \
--data '
{
"bookmakers": "DraftKings",
"eventId": 61234567,
"legs": [
{
"legId": "61234567|Totals|221.5||over",
"expectedPrice": "1.91"
}
]
}
'import requests
url = "https://api.odds-api.io/v3/sgp/quote?apiKey="
payload = {
"bookmakers": "DraftKings",
"eventId": 61234567,
"legs": [
{
"legId": "61234567|Totals|221.5||over",
"expectedPrice": "1.91"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
bookmakers: 'DraftKings',
eventId: 61234567,
legs: [{legId: '61234567|Totals|221.5||over', expectedPrice: '1.91'}]
})
};
fetch('https://api.odds-api.io/v3/sgp/quote?apiKey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.odds-api.io/v3/sgp/quote?apiKey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bookmakers' => 'DraftKings',
'eventId' => 61234567,
'legs' => [
[
'legId' => '61234567|Totals|221.5||over',
'expectedPrice' => '1.91'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.odds-api.io/v3/sgp/quote?apiKey="
payload := strings.NewReader("{\n \"bookmakers\": \"DraftKings\",\n \"eventId\": 61234567,\n \"legs\": [\n {\n \"legId\": \"61234567|Totals|221.5||over\",\n \"expectedPrice\": \"1.91\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.odds-api.io/v3/sgp/quote?apiKey=")
.header("Content-Type", "application/json")
.body("{\n \"bookmakers\": \"DraftKings\",\n \"eventId\": 61234567,\n \"legs\": [\n {\n \"legId\": \"61234567|Totals|221.5||over\",\n \"expectedPrice\": \"1.91\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.odds-api.io/v3/sgp/quote?apiKey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"bookmakers\": \"DraftKings\",\n \"eventId\": 61234567,\n \"legs\": [\n {\n \"legId\": \"61234567|Totals|221.5||over\",\n \"expectedPrice\": \"1.91\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"eventId": 61234567,
"quotes": [
{
"bookmaker": "DraftKings",
"cacheExpiresAt": "<string>",
"cached": false,
"durationMs": 640,
"jurisdiction": "US-WV",
"legIds": [
"<string>"
],
"legs": [
{
"hdp": 221.5,
"legId": "61234567|Totals|221.5||over",
"price": "1.91",
"priceMoved": true
}
],
"legsMultiplied": "15.41",
"links": {
"desktop": "<string>",
"mobile": "<string>"
},
"nextAction": "change_legs",
"price": "12.00",
"priceAdjustmentPct": "-22.1",
"quotedAt": "<string>",
"reason": "The bookmaker does not allow these legs together.",
"retryAfter": 123,
"retryable": true,
"status": "ok"
}
]
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}Authorizations
Your Odds-API.io API key, sent as the apiKey query parameter. Get one at https://odds-api.io/pricing.
Body
application/json
Event, bookmakers and legs to quote. At most 64 KB.
Was this page helpful?
⌘I
Quote a Same Game Parlay
curl --request POST \
--url 'https://api.odds-api.io/v3/sgp/quote?apiKey=' \
--header 'Content-Type: application/json' \
--data '
{
"bookmakers": "DraftKings",
"eventId": 61234567,
"legs": [
{
"legId": "61234567|Totals|221.5||over",
"expectedPrice": "1.91"
}
]
}
'import requests
url = "https://api.odds-api.io/v3/sgp/quote?apiKey="
payload = {
"bookmakers": "DraftKings",
"eventId": 61234567,
"legs": [
{
"legId": "61234567|Totals|221.5||over",
"expectedPrice": "1.91"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
bookmakers: 'DraftKings',
eventId: 61234567,
legs: [{legId: '61234567|Totals|221.5||over', expectedPrice: '1.91'}]
})
};
fetch('https://api.odds-api.io/v3/sgp/quote?apiKey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.odds-api.io/v3/sgp/quote?apiKey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bookmakers' => 'DraftKings',
'eventId' => 61234567,
'legs' => [
[
'legId' => '61234567|Totals|221.5||over',
'expectedPrice' => '1.91'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.odds-api.io/v3/sgp/quote?apiKey="
payload := strings.NewReader("{\n \"bookmakers\": \"DraftKings\",\n \"eventId\": 61234567,\n \"legs\": [\n {\n \"legId\": \"61234567|Totals|221.5||over\",\n \"expectedPrice\": \"1.91\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.odds-api.io/v3/sgp/quote?apiKey=")
.header("Content-Type", "application/json")
.body("{\n \"bookmakers\": \"DraftKings\",\n \"eventId\": 61234567,\n \"legs\": [\n {\n \"legId\": \"61234567|Totals|221.5||over\",\n \"expectedPrice\": \"1.91\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.odds-api.io/v3/sgp/quote?apiKey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"bookmakers\": \"DraftKings\",\n \"eventId\": 61234567,\n \"legs\": [\n {\n \"legId\": \"61234567|Totals|221.5||over\",\n \"expectedPrice\": \"1.91\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"eventId": 61234567,
"quotes": [
{
"bookmaker": "DraftKings",
"cacheExpiresAt": "<string>",
"cached": false,
"durationMs": 640,
"jurisdiction": "US-WV",
"legIds": [
"<string>"
],
"legs": [
{
"hdp": 221.5,
"legId": "61234567|Totals|221.5||over",
"price": "1.91",
"priceMoved": true
}
],
"legsMultiplied": "15.41",
"links": {
"desktop": "<string>",
"mobile": "<string>"
},
"nextAction": "change_legs",
"price": "12.00",
"priceAdjustmentPct": "-22.1",
"quotedAt": "<string>",
"reason": "The bookmaker does not allow these legs together.",
"retryAfter": 123,
"retryable": true,
"status": "ok"
}
]
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}